EDIT - bug #5834
task # 4338 (In Progress): [MASTER] Handle abbreviated title and protected cache correctly in TaxEditor

Show volume etc. for generic references
05/26/2016 05:31 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.6

Severity: normal Found in Version:

Description

... and also for some other references.

Split from #2862: The current DefaultReferenceCacheStrategy does not handle inReferences correctly. E.g. volumes and other
information is not shown.

Related issues:
Related to EDIT - bug #6960: Improve reference cachestrategy Duplicate
Copied to EDIT - bug #6500: Remaining issues for volume formating in generic ... New

Associated revisions

Revision 32a8e841 - 03/11/2017 10:45 PM - Andreas Miiller

ref #5834 tests for generic volume, still partly commented, solution not yet implemented

History

#1 - 07/06/2016 03:23 PM - Andreas Miiller

- Target version changed from Release 4.2 to Release 4.3

#2 - 09/23/2016 03:35 PM - Andreas Miuller

- Target version changed from Release 4.3 to Release 4.4

#3 - 12/01/2016 02:25 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#4 - 01/19/2017 01:21 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#5 - 03/02/2017 01:00 AM - Andreas Miiller

- Description updated

#6 - 03/11/2017 02:24 AM - Andreas Miiller
- Priority changed from New to Highest

#7 - 03/11/2017 10:46 PM - Andreas Miiller

- Description updated

- Private changed from Yes to No

This seems to be fixed for simple reference (see test "testGenericMissingVolume"). For inreferences it is unclear what the expected result should be.
e Should the result include the volume of the reference but not of the inreference? - | think yes.

e Should the result include the volume of the inreference if the reference has no volume? - | think yes.
¢ Should this hold for both nomenclatural citation as well as bibliographic citation? - | think yes.

#8 - 03/11/2017 10:46 PM - Andreas Miiller
Still need to uncomment all tests of first commit.

#9 - 03/11/2017 10:50 PM - Andreas Miiller
- % Done changed from 0 to 20

#10 - 03/13/2017 09:36 PM - Andreas Miiller

- Copied to bug #6500: Remaining issues for volume formating in generic references added

#11 - 03/13/2017 09:37 PM - Andreas Miiller
- Status changed from New to Closed

- % Done changed from 20 to 100

Remaining issues copied to new ticket

#12 - 09/20/2017 02:10 PM - Andreas Miiller
- Related to bug #6960: Improve reference cachestrategy added
